imports:
    - { resource: 'local/' }
    - { resource: ecommerce/base-ecommerce.yaml }
    - { resource: cmf.yaml }
    - { resource: workflows.yaml }

pimcore:

# IMPORTANT Notice!
# Following there are only some examples listed, for a full list of possible options, please run the following command:
# ./bin/console debug:config pimcore
# you can also filter them by path, eg.
# ./bin/console debug:config pimcore assets
# or even more specific:
# ./bin/console debug:config pimcore assets.image

    security:
        # the encoder factory as shipped by the CMF
        password_hasher_factories:
            Pimcore\Model\DataObject\Customer: cmf.security.user_password_hasher_factory

    chromium:
        uri: 'ws://chrome:3000/'

    gotenberg:
        base_url: 'http://gotenberg:3000'

    config_location:
        image_thumbnails:
            write_target:
                type: 'settings-store'
        video_thumbnails:
            write_target:
                type: 'settings-store'
        document_types:
            write_target:
                type: 'settings-store'
        predefined_properties:
            write_target:
                type: 'settings-store'
        predefined_asset_metadata:
            write_target:
                type: 'settings-store'
        perspectives:
            write_target:
                type: 'settings-store'
        custom_views:
            write_target:
                type: 'settings-store'
        object_custom_layouts:
            write_target:
                type: 'settings-store'
        system_settings:
            write_target:
                type: 'settings-store'
            read_target:
                type: 'settings-store'

#### TRANSLATIONS
#    translations:
#        case_insensitive: true

#### FEATURE FLAGS
#    flags:
#        zend_date: true
#### CLASS OVERRIDES EXAMPLES
#    models:
#        class_overrides:
#            'Pimcore\Model\DataObject\News': 'App\Model\DataObject\News'
#            'Pimcore\Model\DataObject\News\Listing': 'App\Model\DataObject\News\Listing'
#            'Pimcore\Model\DataObject\Folder': 'App\Model\DataObject\Folder'
#            'Pimcore\Model\Asset\Folder': 'App\Model\Asset\Folder'
#            'Pimcore\Model\Asset\Image': 'App\Model\Asset\Image'
#            'Pimcore\Model\Document\Page': 'App\Model\Document\Page'
#            'Pimcore\Model\Document\Link': 'App\Model\Document\Link'
#            'Pimcore\Model\Document\Listing': 'App\Model\Document\Listing'


#### CUSTOM DOCUMENT EDITABLES
#    documents:
#        allow_trailing_slash: 'yes'
#        generate_preview: false
#        tags:
#            map:
#                markdown: \App\Model\Document\Tag\Markdown


#### CUSTOM OBJECT DATA TYPES
#    objects:
#        class_definitions:
#            data:
#                map:
#                  myDataType: \App\Model\DataObject\Data\MyDataType


#### ASSET CUSTOM SETTINGS
#    assets:
#        icc_rgb_profile: ''
#        icc_cmyk_profile: ''
#        versions:
#            use_hardlinks: false
#        image:
#            low_quality_image_preview:
#                enabled: false
#                generator: imagick
#            thumbnails:
#                webp_auto_support: false

#### SYSTEM SETTINGS

#    general:
#        timezone: Europe/Berlin
#        path_variable: ''
#    full_page_cache:
#        enabled: false
#        lifetime: null
#        exclude_cookie: ''
#        exclude_patterns: ''
#    httpclient:
#        adapter: Socket # use 'Proxy' for custom proxy configuration
#        proxy_host: ''
#        proxy_port: ''
#        proxy_user: ''
#        proxy_pass: ''
#    email:
#        sender:
#            name: 'Pimcore Demo'
#            email: demo@pimcore.com
#        return:
#            name: ''
#            email: ''

#    applicationlog:
#        mail_notification:
#            send_log_summary: false
#            filter_priority: null
#            mail_receiver: ''
#        archive_treshold: '30'
#        archive_alternative_database: ''

#### Pimcore ADMIN
pimcore_admin:
    admin_csp_header:
        enabled: true
        exclude_paths:
            - '@^/admin/external_opcache@'

    config_location:
        admin_system_settings:
            write_target:
                type: 'settings-store'
            read_target:
                type: 'settings-store'

#### SYMFONY OVERRIDES
framework:

#### USE CUSTOM CACHE POOL
#    cache:
#        pools:
#            pimcore.cache.pool:
#                public: true
#                default_lifetime: 31536000  # 1 year
#                adapter: cache.adapter.redis_tag_aware
#                provider: 'redis://localhost' # Redis DNS, see: https://symfony.com/doc/current/components/cache/adapters/redis_adapter.html#configure-the-connection

#### USE SESSION HANDLER CONFIGURED IN php.ini
#    session:
#        handler_id: null

#### SYMFONY MAILER TRANSPORTS
    mailer:
        transports:
            main: smtp://user:pass@mailpit:1025
#            pimcore_newsletter: smtp://user:pass@smtp.example.com:port

# pimcore_newsletter:
#     default_url_prefix: 'https://my-host.com' # default prefix for your static assets
#     use_specific: false # set true to use the following options for newsletter delivery
#     sender:
#         name: ''
#         email: ''
#     return:
#         name: ''
#         email: ''

pimcore_seo:
    sitemaps:
        generators:
            app_news:
                enabled: true
                priority: 50
                generator_id: App\Sitemaps\NewsGenerator
            app_cars:
                enabled: true
                priority: 49
                generator_id: App\Sitemaps\ProductGenerator
            app_category:
                enabled: true
                priority: 48
                generator_id: App\Sitemaps\CategoryGenerator
            # Pimcore ships a default document tree generator which is enabled by default
            # but you can easily disable it here.
            pimcore_documents:
                enabled: true
    redirects:
        auto_create_redirects: true

pimcore_web_to_print:
    config_location:
        web_to_print:
            write_target:
                type: 'settings-store'

pimcore_static_routes:
    config_location:
        staticroutes:
            write_target:
                type: 'settings-store'

pimcore_custom_reports:
    config_location:
        custom_reports:
            write_target:
                type: 'settings-store'

pimcore_data_hub:
    config_location:
        data_hub:
            write_target:
                type: 'settings-store'

pimcore_personalization:
    targeting:
        enabled: true
                
